import { IDisposable } from '@lumino/disposable';
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { NotebookPanel, INotebookModel } from '@jupyterlab/notebook';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
/**
 * A notebook widget extension that adds a submit button to the toolbar.
 */
export declare class BalletSubmitButtonExtension implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    settingRegistry: ISettingRegistry;
    constructor(settingRegistry: ISettingRegistry);
    loadSetting(settingName: string): Promise<string>;
    /**
     * Create a new extension object.
     */
    createNew(panel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
}
/**
 * Initialization data for the ballet-submit-labextension extension.
 */
declare const extension: JupyterFrontEndPlugin<void>;
export default extension;
